org.apache.ignite.internal.visor.node

## Class VisorNodeEventsCollectorTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorNodeEventsCollectorTaskArg
    extends VisorDataTransferObject

Argument for task returns events data.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeEventsCollectorTaskArg()` Default constructor.
`VisorNodeEventsCollectorTaskArg(@Nullable String keyOrder, @Nullable int[] typeArg, @Nullable Long timeArg, @Nullable String taskName, @Nullable IgniteUuid taskSesId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static VisorNodeEventsCollectorTaskArg` `createEventsArg(@Nullable int[] typeArg, @Nullable Long timeArg)`
`static VisorNodeEventsCollectorTaskArg` `createLogArg(@Nullable String keyOrder, @Nullable int[] typeArg)`
`static VisorNodeEventsCollectorTaskArg` `createTasksArg(@Nullable Long timeArg, @Nullable String taskName, @Nullable IgniteUuid taskSesId)`
`@Nullable String` `getKeyOrder()`
`String` `getTaskName()`
`IgniteUuid` `getTaskSessionId()`
`Long` `getTimeArgument()`
`int[]` `getTypeArgument()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeEventsCollectorTaskArg

    public VisorNodeEventsCollectorTaskArg()

Default constructor.

#### VisorNodeEventsCollectorTaskArg

    public VisorNodeEventsCollectorTaskArg(@Nullable
                                           @Nullable String keyOrder,
                                           @Nullable
                                           @Nullable int[] typeArg,
                                           @Nullable
                                           @Nullable Long timeArg,
                                           @Nullable
                                           @Nullable String taskName,
                                           @Nullable
                                           @Nullable IgniteUuid taskSesId)

Parameters:
  `keyOrder` - Arguments for node local storage key.
  `typeArg` - Arguments for type filter.
  `timeArg` - Arguments for time filter.
  `taskName` - Arguments for task name filter.
  `taskSesId` - Arguments for task session filter.

### Method Detail

#### createEventsArg

    public static VisorNodeEventsCollectorTaskArg createEventsArg(@Nullable
                                                                  @Nullable int[] typeArg,
                                                                  @Nullable
                                                                  @Nullable Long timeArg)

Parameters:
  `typeArg` - Arguments for type filter.
  `timeArg` - Arguments for time filter.

#### createTasksArg

    public static VisorNodeEventsCollectorTaskArg createTasksArg(@Nullable
                                                                 @Nullable Long timeArg,
                                                                 @Nullable
                                                                 @Nullable String taskName,
                                                                 @Nullable
                                                                 @Nullable IgniteUuid taskSesId)

Parameters:
  `timeArg` - Arguments for time filter.
  `taskName` - Arguments for task name filter.
  `taskSesId` - Arguments for task session filter.

#### createLogArg

    public static VisorNodeEventsCollectorTaskArg createLogArg(@Nullable
                                                               @Nullable String keyOrder,
                                                               @Nullable
                                                               @Nullable int[] typeArg)

Parameters:
  `keyOrder` - Arguments for node local storage key.
  `typeArg` - Arguments for type filter.

#### getKeyOrder

    @Nullable
    public @Nullable String getKeyOrder()

Returns:
  Node local storage key.

#### getTypeArgument

    public int[] getTypeArgument()

Returns:
  Arguments for type filter.

#### getTimeArgument

    public Long getTimeArgument()

Returns:
  Arguments for time filter.

#### getTaskName

    public String getTaskName()

Returns:
  Task or job events with task name contains.

#### getTaskSessionId

    public IgniteUuid getTaskSessionId()

Returns:
  Task or job events with session.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021